<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - Yann COLLETTE <yann.collette@renault.com>
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="crossover_ga_default"
          xml:lang="en" xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns4="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>4-Feb-2008</pubdate>
  </info>

  <refnamediv>
    <refname>crossover_ga_default</refname>

    <refpurpose>A crossover function for continuous variable
    functions</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[Crossed_Indiv1,Crossed_Indiv2] = crossover_ga_default(Indiv1,Indiv2,param)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>Indiv1</term>

        <listitem>
          <para>The first individual to be crossed-over.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>Indiv2</term>

        <listitem>
          <para>The second individual to be crossed-over.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>param</term>

        <listitem>
          <para>a list of parameters. </para>

          <itemizedlist>
            <listitem>
              <para>'beta': the range of the random generator. A random value
              will be sampled between -beta and 1+beta. This sampled value
              will be used to perform a convex combination between Indiv1 and
              Indiv2. </para>
            </listitem>

            <listitem>
              <para> 'minbound': a vector of minimum bounds for the variable
              X. </para>
            </listitem>

            <listitem>
              <para> 'maxbound': a vector of maximum bounds for the variable
              X.</para>
            </listitem>
          </itemizedlist>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>Crossed_Indiv1</term>

        <listitem>
          <para>The first individual resulting from the crossover.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>Crossed_Indiv2</term>

        <listitem>
          <para>The second individual resulting from the crossover.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>crossover_ga_default is a crossover function for functions with
    continuous variables. This crossover function is an extension of a convexe
    combination. The crossed individuals are computed with the following
    equations :</para>

    <programlisting role=""><![CDATA[ 
mix = (1 + 2*Beta)*rand(1,1) - Beta;
Crossed_Indiv1 =     mix*Indiv1 + (1-mix)*Indiv2;
Crossed_Indiv2 = (1-mix)*Indiv1 +     mix*Indiv2;
 ]]></programlisting>

    <para>The Beta parameter should be set to a positive value. If Beta is set
    to 0, the resulting crossover is a simple convexe combination between the
    two parents. That may lead to a too fast convergence of the genetic
    algorithm and may decrease the diversity of the individuals of the
    population. If Beta is chosen strictly positive, that may allow children
    to explore the domain beyond the domain explored by their parents.</para>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="crossover_ga_binary"> crossover_ga_binary
      </link></member>

      <member><link linkend="mutation_ga_default"> mutation_ga_default
      </link></member>

      <member><link linkend="init_ga_default"> init_ga_default
      </link></member>

      <member><link linkend="optim_ga"> optim_ga </link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>References</title>

    <bibliomixed>
      <bibliomset relation="book"><surname>Michalewicz</surname>,
      <firstname>Zbigniew</firstname><title /> Genetic Algorithms + Data
      Structures = Evolution Programs</bibliomset>

      
    </bibliomixed>
  </refsection>

  <refsection>
    <title>Authors</title>

    <variablelist>
      <varlistentry>
        <term>Yann COLLETTE</term>

        <listitem>
          <para>ycollet@freesurf.fr</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
</refentry>
